FutureRequestExecutionMetrics (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class FutureRequestExecutionMetrics

    java.lang.Object
      org.apache.http.impl.client.FutureRequestExecutionMetrics

    public final class FutureRequestExecutionMetrics

extends Object

Collection of different counters used to gather metrics for `FutureRequestExecutionService`.

Method Summary
`long` | `getActiveConnectionCount()`
`long` | `getFailedConnectionAverageDuration()`
`long` | `getFailedConnectionCount()`
`long` | `getRequestAverageDuration()`
`long` | `getRequestCount()`
`long` | `getScheduledConnectionCount()`
`long` | `getSuccessfulConnectionAverageDuration()`
`long` | `getSuccessfulConnectionCount()`
`long` | `getTaskAverageDuration()`
`long` | `getTaskCount()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getActiveConnectionCount

    public long getActiveConnectionCount()

### getScheduledConnectionCount

    public long getScheduledConnectionCount()

### getSuccessfulConnectionCount

    public long getSuccessfulConnectionCount()

### getSuccessfulConnectionAverageDuration

    public long getSuccessfulConnectionAverageDuration()

### getFailedConnectionCount

    public long getFailedConnectionCount()

### getFailedConnectionAverageDuration

    public long getFailedConnectionAverageDuration()

### getRequestCount

    public long getRequestCount()

### getRequestAverageDuration

    public long getRequestAverageDuration()

### getTaskCount

    public long getTaskCount()

### getTaskAverageDuration

    public long getTaskAverageDuration()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.